Subject: [bug#27347] [PATCH] gnu: Move contents of zip module into compression module.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 17 Jun 2017 14:20:37 +0200

Marius Bakke <[email-masked]> skribis:

> Arun Isaac <[email-masked]> writes:
>
>> * gnu/packages/zip.scm (zip, unzip, zziplib, perl-zip): Move to...
>> * gnu/packages/compression.scm: ...here.
>> * gnu/packages/zip.scm: Delete file.
>> * gnu/local.mk (GNU_SYSTEM_MODULES): Unregister deleted file.
>> * gnu/packages/{audio, avr, bioinformatics, busybox, cdrom, ci, compression,
>> docbook, documentation, fonts, fpga, game-development, games, gl, gnome,
>> gnuzilla, graphics, guile, haskell, image, java, kodi, ldc, libreoffice,
>> markup, maths, mc, monitoring, music, php, pretty-print, python, scheme,
>> smalltalk, statistics, synergy, tex, textutils, video, web-browsers, xml,
>> zip}.scm, guix/build-system/{ant, font}.scm, guix/{download, packages}.scm:
>> Adapt module import.
>
> 'zip.scm' is also in POTFILES.in.

Oh right, make sure to update it as well, Arun.

> I don't know what to do about existing translations, maybe search and
> replace file name and line number?

The file names and line numbers that appear in .po files are just
comments; what matters is the strings themselves.  So nothing to do!

Ludo’.